<div class="admin">
  <app-admin></app-admin>
  <!-- <div class="w3-sidebar w3-bar-block" style="width:15%"> -->
    <!-- <a (click)="userClick()" class="w3-bar-item w3-button w3-border-bottom">Users</a> -->
    <!-- <a (click)="recordClick()" class="w3-bar-item w3-button w3-border-bottom">Recording</a> -->
    <!-- <a (click)="addChannel()" class="w3-bar-item w3-button w3-border-bottom">Channels</a> -->
    <!-- <a (click)="addChannel()" class="w3-bar-item w3-button w3-border-bottom">Settings</a>
    <a (click)="addChannel()" class="w3-bar-item w3-button w3-border-bottom">Tags</a>
    <a (click)="addChannel()" class="w3-bar-item w3-button w3-border-bottom">Voice Upload</a>
    <a (click)="addChannel()" class="w3-bar-item w3-button w3-border-bottom">Images</a>
    <a (click)="addChannel()" class="w3-bar-item w3-button w3-border-bottom">My Accounts</a> -->
  <!-- </div> -->
<div class="addChannel">
    <h3><b>ADD CHANNEL</b></h3>
    <form [formGroup]="ChannelForm" (ngSubmit)="addChannelData()">
      <div class="form-group row">
        <label for="staticEmail" class="col-sm-3 col-form-label">Channel Name<span class="required">*</span></label>
        <div class="col-sm-9">
          <input type="text" class="form-control" name="channelName" id="channelName" formControlName="channelName" [(ngModel)]="channelName" placeholder="Enter the Channel name" required >
        </div>
      </div>
      <div class="form-group row">
        <label for="staticEmail" class="col-sm-3 col-form-label">Channel Logo URL <span class="required">*</span></label>
        <div class="col-sm-9">
          <input type="text" class="form-control" name="imageUrl"  formControlName="imageUrl" [(ngModel)]="imageUrl"   id="localUrl" placeholder="Enter the Channel logo url"  required >
        </div>
      </div>
      <button type="submit" *ngIf="add" [disabled]="!ChannelForm.valid" class="btn btn-primary btn-block pull-right">Add Channel</button>
      <button type="submit" *ngIf="update" [disabled]="!ChannelForm.valid" class="btn btn-primary btn-block pull-right">Update Channel</button>
  </form>
</div>
<!-- CHANNEL TABLE -->
    <app-channel-table (messageEvent)="receiveMessage($event)"></app-channel-table>

</div>
